<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.CAMERA" />

    <uses-feature android:name="android.hardware.camera.any" />

    <uses-permission android:name="com.google.android.gms.permission.AD_ID" />
    <uses-permission android:name="android.permission.USE_FINGERPRINT" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="com.google.android.providers.gsf.permission.READ_GSERVICES" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_MEDIA_IMAGES" />
    <uses-permission
        android:name="android.permission.WRITE_EXTERNAL_STORAGE"
        tools:ignore="ScopedStorage" />

    <permission
        android:name="com.seatel.permission.MAPS_RECEIVE"
        android:protectionLevel="signature" />

    <uses-feature
        android:name="android.hardware.camera"
        android:required="true" />


    <uses-permission android:name="com.example.permission.MAPS_RECEIVE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.CHANGE_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission android:name="android.permission.POST_NOTIFICATIONS" />

    <queries>
        <!-- Explicit apps you know in advance about: -->
        <package android:name="com.wingmoney.wingpay" />
    </queries>

    <application
        android:name=".ui.application.MyApplication"
        android:allowBackup="true"
        android:hardwareAccelerated="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:largeHeap="true"
        android:supportsRtl="true"
        android:theme="@style/AppBaseTheme"
        android:usesCleartextTraffic="true">

        <service
            android:name=".util.firebase.MyFirebaseMessagingService"
            android:exported="false">
            <intent-filter>
                <action android:name="com.google.firebase.MESSAGING_EVENT" />
            </intent-filter>
        </service>

        <meta-data
            android:name="asset_statements"
            android:resource="@string/asset_statements" />

        <provider
            android:name=".util.GenericProvider"
            android:authorities="${applicationId}.provider"
            android:grantUriPermissions="true"
            tools:node="merge">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/provider_paths" />
        </provider>

        <meta-data
            android:name="firebase_crash_collection_enabled"
            android:value="false" />

        <meta-data
            android:name="com.google.android.geo.API_KEY"
            android:value="@string/google_maps_key" />

        <meta-data
            android:name="com.facebook.sdk.ApplicationId"
            android:exported="false"
            android:value="@string/facebook_app_id"
            tools:node="merge" />

        <uses-library
            android:name="org.apache.http.legacy"
            android:required="false" />

        <activity
            android:name="com.canhub.cropper.CropImageActivity"
            android:theme="@style/Base.Theme.AppCompat" />

        <!--- custom scan barcode orientation -->
        <activity
            android:name="com.journeyapps.barcodescanner.CaptureActivity"
            android:screenOrientation="fullSensor"
            tools:replace="screenOrientation" />

        <activity
            android:name=".ui.splashscreen.SplashScreenActivity"
            android:exported="true"
            android:screenOrientation="locked"
            android:theme="@style/SplashTheme">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>

            <meta-data
                android:name="android.app.shortcuts"
                android:resource="@xml/shortcuts" />

        </activity>


        <activity
            android:name=".ui.main.MainActivity"
            android:exported="true"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.login.activity.LoginActivity"
            android:screenOrientation="locked"
            android:windowSoftInputMode="adjustPan" />

        <activity
            android:name=".ui.login.activity.UpdatedSimProfileActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.home.activity.MyCartActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.login.activity.TermsAndConditionsActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.home.activity.TopUpActivity"
            android:windowSoftInputMode="stateHidden|adjustResize"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.home.activity.PaymentActivity"
            android:exported="true"
            android:launchMode="singleTask"
            android:screenOrientation="locked">


            <tools:validation testUrl="https://api.yes.com.kh/.well-known/assetlinks.json" />
            <intent-filter android:autoVerify="true">
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />

                <data
                    android:host="api.yes.com.kh"
                    android:pathPattern="/.well-known/assetlinks.json"
                    android:scheme="https" />
            </intent-filter>
        </activity>


        <activity
            android:name=".ui.home.activity.ProductServiceActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.home.activity.ProductServiceDetailActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.home.activity.PromotionActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.home.activity.DeviceDetailActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.home.activity.EShopPhaseTwoActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.home.activity.MyOrderActivity"
            android:exported="true"
            android:screenOrientation="locked">


        </activity>

        <activity
            android:name=".ui.home.activity.BuyYesNumberPhaseTwoActivity"
            android:screenOrientation="locked"
            android:windowSoftInputMode="stateAlwaysHidden" />

        <activity
            android:name=".ui.home.activity.BuyYesNumberPhaseTopUpActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name='.ui.home.activity.BuyYesNumberPhasePlanSubscriptionActivity'
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.home.activity.BuyYesNumberPhaseSummaryActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.home.activity.DataPackActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.home.activity.OrderActivity"
            android:exported="true"
            android:screenOrientation="locked">

        </activity>
        <activity
            android:name=".ui.home.activity.BuyTopUpCardActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.home.activity.LocationShopMapActivity"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.home.activity.ContactUsActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.home.activity.SupportActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.home.activity.SupportListActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.home.activity.FaqDetailActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.home.activity.OnePlanDetailActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.home.activity.InternationalCallDetailActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.home.activity.AliPayMpayPaymentActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.home.activity.AliPayPaymentActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.home.activity.TopUpSuccessActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.home.activity.WingPaymentActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.home.activity.YesHubNearestActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.profile.activity.GetMoreDataActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.profile.activity.SettingActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.profile.activity.SettingLanguageActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.profile.activity.FingerprintConfirmationActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.profile.activity.EnableFingerprintActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.profile.activity.ChangePasswordActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.profile.activity.ChangePasswordCompletedActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.profile.activity.ProfileActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.profile.activity.ScanMRZActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.profile.activity.ScanningConfigurationActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.profile.activity.ScanActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.home.activity.ConfirmBuyDataPackActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.home.activity.SuccessBuyDataPackActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.home.activity.LoyKobActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.home.activity.NotificationListActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.home.activity.OrderPaymentSuccessActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.home.activity.ConfirmationActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.home.activity.MySubscriptionsActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.invite_friend.InviteFriendActivity"
            android:exported="true"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.invite_friend.InviteFriendScanQrActivity"
            android:exported="true"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.invite_friend.InviteFriendQrcodeActivity"
            android:exported="false"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.invite_friend.InviteFriendScanSuccessActivity"
            android:exported="true"
            android:screenOrientation="portrait" />


        <activity
            android:name=".ui.game.GameActivity"
            android:exported="true"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.game.GameRewardActivity"
            android:exported="true"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.profile.activity.ProfileFaceScanActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.packages.RoamingActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.yes_member.activity.CoinActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.yes_member.activity.EarnCoinActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.yes_member.activity.EarnCoinHistoryActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.yes_member.activity.RewardHistoryActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.yes_member.activity.RewardHistoryDetailActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.yes_member.activity.SelectShopActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.yes_member.activity.RewardsDetailActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.yes_member.activity.YesMemberTermConditionActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.yes_member.activity.PartnerActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.yes_member.activity.PartnerSearchActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.yes_member.activity.PartnerSearchCategoryActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.yes_member.activity.PartnerSearchCategoryDetailActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.yes_member.activity.OutletLocationActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.yes_member.activity.OutLetScanQrActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.yes_member.activity.RedeemActivity"

            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.yes_member.activity.SuccessRedeemActivity"
            android:screenOrientation="portrait" />
    </application>

</manifest>